Summary: A reverberation plugin for LADSPA.
Name: ladspa-rev-plugins
Version: 0.3.1
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
Source: http://users.skynet.be/solaris/linuxaudio/downloads/REV-plugins-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Obsoletes: rev-plugins <= 0.3.1-1
Provides: rev-plugins

BuildRequires: ladspa-devel

%description
This reverb is based on gverb by Juhana Sadeharju, but the code
(now C++) is entirely original. I added a second input for stereo
operation, and some code to prevent FP denormalisation.
This is a preliminary release, and this plugin will probably change
a lot in future versions.

%prep
%setup -q -n REV-plugins-%{version}

%build
# install in the right place
%{__perl} -p -i -e "s|/usr/lib/ladspa|\\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so

%changelog
* Sun Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-2
- change name of package to ladspa-rev-plugins

* Mon Jul 11 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.1-1
- updated to 0.3.1

* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires

* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-2
- changed name of ladspa package, do not depend on it explicitly

* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- updated to 0.2.1

* Tue Nov  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.1-1
- initial build
